Subject: Re: linux-next: duplicate patches in the modules tree

From: Petr Pavlu <[email-masked]>
Date: Mon, 27 Jan 2025 10:02:23 +0100

On 1/27/25 03:59, Stephen Rothwell wrote:
> Hi all,
> 
> The following commits are also in Linus Torvalds' tree as different
> commits (but the same patches):
> 
>   0217859ce172 ("module: sign with sha512 instead of sha1 by default")
>   0dea980a17a3 ("module: sysfs: Drop member 'module_sect_attrs::nsections'")
>   0e436d14d0b9 ("module: Put known GPL offenders in an array")
>   25aa76116052 ("module: Constify 'struct module_attribute'")
>   570f7776db9c ("module: Split module_enable_rodata_ro()")
>   75b519abc918 ("module: sysfs: Simplify section attribute allocation")
>   8c82fb5240f7 ("module: Extend the preempt disabled section in dereference_symbol_descriptor().")
>   993026197341 ("params: Prepare for 'const struct module_attribute *'")
>   9b894ee43337 ("module: Don't fail module loading when setting ro_after_init section RO failed")
>   c027a83a0375 ("module: sysfs: Drop member 'module_sect_attr::address'")
>   cb80af8451df ("module: Handle 'struct module_version_attribute' as const")
>   cd8026d4bda8 ("module: sysfs: Drop 'struct module_sect_attr'")
>   e6ea40687ff0 ("module: sysfs: Use const 'struct bin_attribute'")
>   fc15d675bc49 ("module: sysfs: Add notes attributes through attribute_group")
> 
> Presumably rebased before asking Linus to merge them :-(

Right, I rebased modules-next locally, pushed a tag for a pull request
which has been merged, but I forgot to push the actual branch. Sorry
about that, it should be fixed now.

I could have arguably saved myself time and trouble by not rebasing
modules-next in this case, which might have been also better from
a testing perspective.

-- 
Thanks,
Petr